
from wtforms import Form, StringField, PasswordField, validators

def create_form():
    class RegistrationForm(Form):
        username = StringField('Username', [validators.Length(min=4, max=25)])
        password = PasswordField('New Password', [
            validators.DataRequired(),
            validators.EqualTo('confirm', message='Passwords must match'),
            validators.Length(min=6, max=40)
        ])
        confirm = PasswordField('Repeat Password')
    
    return RegistrationForm()

